Bug 114283 - Add -Wall to compiler flags ?
Summary: Add -Wall to compiler flags ?
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-print   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 10:33 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 20:57:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-26 10:33:02 UTC
Description of problem:

I just tried to compile package gnome-print-0.37-7.1, from Redhat
Fedora Core 1.

The compiler said

1.

gnome-print-pclr.c(136): warning #268: the format string ends before
this argument

The source code is

	status =+ gnome_print_context_fprintf ( pc, ESC_ "*r1A", cols);

Couple of problems

	1.1

	No % specifier for cols.

	1.2

	Suspicious token =+. Was = or += meant by the programmer ?

2.

gnome-print-pclr.c(139): warning #268: the format string ends before
this argument
gnome-print-pclr.c(459): warning #268: the format string ends before
this argument
gnome-print-pclr.c(568): warning #268: the format string ends before
this argument

Duplicates.

3.

gnome-print-pclv.c(127): warning #268: the format string ends before
this argument
gnome-print-pclv.c(130): warning #268: the format string ends before
this argument
gnome-print-pclv.c(456): warning #268: the format string ends before
this argument

More duplicates.

4.

parseTT.c(5464): warning #268: the format string ends before this argument

The source code is

	retval = ttf_printf (retval, &size, &length,
                         "%d %d hstem\n", 
						g->hstems[i].value, g->hstems[i + 1].value, 
						g->hstems[i + 1].value - g->hstems[i].value);

Two % specifiers, but three parameters. I'm not sure what the fix is for
this.

Overall, I recommend using flag -Wformat or flag -Wall at compile time.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Owen Taylor 2004-08-04 20:57:01 UTC
Not going to worry about these in an more-or-less dead package.



Note You need to log in before you can comment on or make changes to this bug.